Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class GenericNetwork

    java.lang.Object
      rice.pastry.direct.BasicNetworkSimulator
          rice.pastry.direct.GenericNetwork

All Implemented Interfaces:
  NetworkSimulator

    public class GenericNetwork

extends BasicNetworkSimulator

Field Summary
`java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `assignedIndices`
`java.io.File` | `inFile_Matrix`
`static int` | `MAXOVERLAYSIZE` The number of stubs.
`java.util.Hashtable` | `nodePos`

Fields inherited from class rice.pastry.direct.BasicNetworkSimulator
`logger, manager, maxDiameter, MIN_DELAY, minDelay, random`

Constructor Summary
`GenericNetwork(Environment env)`
`GenericNetwork(Environment env, java.io.File inFile)`
`GenericNetwork(Environment env, java.lang.String inFile)`

Method Summary
`NodeRecord` | `generateNodeRecord()` Generates a random node record
`void` | `readOverlayMatrix(float delayFactor)`
`void` | `setNodesPerStub(int numPerStub)`

Methods inherited from class rice.pastry.direct.BasicNetworkSimulator
`addSimulatorListener, deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, enqueueDelivery, getClosest, getEnvironment, getTestRecord, isAlive, networkDelay, notifySimulatorListenersReceived, notifySimulatorListenersSent, proximity, registerNode, removeNode, removeSimulatorListener, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodePos

    public java.util.Hashtable nodePos

### MAXOVERLAYSIZE

    public static int MAXOVERLAYSIZE

  The number of stubs.

### assignedIndices

    public java.util.HashMap<java.lang.Integer,java.lang.Integer> assignedIndices

### inFile_Matrix

    public java.io.File inFile_Matrix

Constructor Detail

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.lang.String inFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### GenericNetwork

    public GenericNetwork(Environment env)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.io.File inFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  Description copied from interface: `NetworkSimulator`
  Generates a random node record

  Returns:

### setNodesPerStub

    public void setNodesPerStub(int numPerStub)

### readOverlayMatrix

    public void readOverlayMatrix(float delayFactor)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.